package org.fouram.core.util;

import java.util.Collection;

import org.apache.commons.lang3.StringUtils;
import org.fouram.core.base.exception.GiantInvalidArgumentException;

public class ParamUtil {

	public ParamUtil() {
	}

	public static void isBlank(String string, String msg) {
		if (StringUtils.isBlank(string)) {
			throw new GiantInvalidArgumentException(msg);
		}
	}

	public static void isEmpty(Collection<?> collection, String msg) {
		if (null == collection || collection.isEmpty()) {
			throw new GiantInvalidArgumentException(msg);
		}
	}

	public static void isNull(Object object, String msg) {
		if (null == object) {
			throw new GiantInvalidArgumentException(msg);
		}
	}
}
